Subject: Re: draft-ietf-ipwave-ipv6-over-80211ocb-29 - ND

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 10 Oct 2018 17:09:09 +0200

To let you know that today we did stumble on a deployed IP-RSU (IP 
Road-Side Unit) that would not reply to Neighbor Solicitations even 
though it does send RAs and does send NSs.

It is not immediately clear why it does not reply to NSs.

I suspect a firewalling, electronics or OCB driver problem.  I wouldnt 
say it is a problem of specification.  Still exploring the problem.

Alex

Le 24/09/2018 à 09:44, Alexandre Petrescu a écrit :
>
>
> Le 24/09/2018 à 04:49, Brian E Carpenter a écrit :
> [...]
>>>> The Neighbor Discovery protocol (ND) [RFC4861] is used over 
>>>> 802.11-OCB links.
>>
>> I suppose that means that ND works, but unreliably?
>
> I propose an additional note here, if you do not disagree.  The note 
> is the following
>
> The reliability of the ND protocol over 802.11-OCB is the reliability of
> the delivery of ND multicast messages.  This reliability is the same as
> the reliability of delivery of ND multicast messages over 802.11 links
> operated with a BSS ID.
>
>
>> Maybe that should be noted.
>>
>>
>> However, the *next* paragraph is now broken:
>>
>>>> The operation of the Mobile IPv6 protocol over 802.11-OCB links
>>>> is different than on other links.  The Movement Detection
>>>> operation (section 11.5.1 of [RFC6275]) can not rely on Neighbor
>>>> Unreachability Detection operation of the Neighbor Discovery
>>>> protocol, for the reason mentioned in the previous paragraph.
>>>> Also, the 802.11-OCB link layer is not a lower layer that can
>>>> provide an indication that a link layer handover has occured.
>>>> The operation of the Mobile IPv6 protocol over 802.11-OCB is not
>>>> specified in this document.
>>
>> "for the reason mentioned in the previous paragraph" now makes no
>> sense.
>
> I think you do not disagree that the above note about ND reliability 
> clarifies the sense.
>
> Alex
>
>
>>
>> Brian
>>
>>
>>
>>
>>
>>
>>
>>
>